org.apache.xmlgraphics.image.writer

## Interface MultiImageWriter

-     public interface MultiImageWriter

  Interface which allows writing multiple images into one image file if the output format supports this feature.
  Version:
    $Id$

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `writeImage(java.awt.image.RenderedImage image, ImageWriterParams params)` Encodes an image and writes it to the image file.

- - ### Method Detail

    - #### writeImage

          void writeImage(java.awt.image.RenderedImage image,
                          ImageWriterParams params)
                   throws java.io.IOException

      Encodes an image and writes it to the image file.
      Parameters:
        `image` - the image to be encoded
        `params` - a parameters object to customize the encoding.
      Throws:
        `java.io.IOException` - In case of an /IO problem

    - #### close

          void close()
              throws java.io.IOException

      Throws:
        `java.io.IOException`

Copyright 1999-2025 The Apache Software Foundation. All Rights Reserved.